Name:           urbanlightscape
Version:        1.3.3
Release:        3%{?dist}
Summary:        Photo filter for dynamic lighting and exposure correction
License:        GPLv2+
URL:            http://www.indii.org/software/urbanlightscape
Source0:        http://www.indii.org/files/urbanlightscape/releases/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        http://www.indii.org/images/%{name}_128.png
BuildRequires:  ImageMagick
BuildRequires:  boost-devel
BuildRequires:  desktop-file-utils
BuildRequires:  wxGTK-devel
Requires:       hicolor-icon-theme
# src/indii/krig/EdgeDistanceMap.hpp: #include <xmmintrin.h>
# But upstream does support useSSE = false in EdgeDistanceMap.cpp
# We need to dig into this later on non-x86 platforms.
ExclusiveArch:  %{ix86} x86_64

%description
Urban Lightscape is a photo filter for exposure correction, localized 
brightness adjustments, dodging and burning, and the introduction of 
synthetic lighting to a photo. A simple "double-click-and-drag" paradigm is 
used to place control points on a photo, and clever edge detection localises 
and interpolates lightness adjustments around and between these points. 
Results are rapid, with additional controls for more subtle refinements.

%prep
%setup -q

# Configure script bogusly drops CPPFLAGS/CXXFLAGS
sed -i \
  -e 's,CXXFLAGS\=\$DEPS_CXXFLAGS,CXXFLAGS\="$CXXFLAGS $DEPS_CXXFLAGS",' \
  -e 's,CPPFLAGS\=\$DEPS_CPPFLAGS,CPPFLAGS\="$CPPFLAGS $DEPS_CPPFLAGS",' \
  configure autotools/common.m4
# Avoid rerunning the autotools
touch -r aclocal.m4 configure autotools/common.m4

%build
# FIXME: We MUST NOT pass -msse2
%ifarch %{ix86}
# No need for -msse2 on non ix86
CXXFLAGS="%{optflags} -msse2"
export CXXFLAGS
%endif
%configure
%make_build

%install
%make_install

# Desktop file.
desktop-file-install %{S:1} %{buildroot}%{_datadir}/applications/%{name}.desktop

# Install source icon.
install -pDm644 %{S:2} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

# Convert to various sizes, via the 128x128 source.
for size in 96x96 72x72 64x64 48x48 32x32 24x24 22x22 16x16 ; do
    install -pdm755 \
        %{buildroot}%{_datadir}/icons/hicolor/${size}/apps
    convert -resize ${size} %{S:2} \
        %{buildroot}%{_datadir}/icons/hicolor/${size}/apps/%{name}.png
done

%post
update-desktop-database &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc README
%license COPYING
%{_bindir}/urbanlightscape
%{_datadir}/applications/urbanlightscape.desktop
%{_datadir}/icons/hicolor/*x*/apps/urbanlightscape.png
%{_datadir}/urbanlightscape/

%changelog
* Fri Jul 03 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.3.3-3
- Don't drop CXX/CPPFLAGS in configure (Fix FTBFS).
- Only append -msse2 to CXXFLAGS on ix86.

* Mon Feb 02 2015 Christopher Meng <rpm@cicku.me> - 1.3.3-1
- Update to 1.3.3
- Enable SSE flags again on x86 processors

* Wed Jun 18 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 1.3.2-5
- Mark ExclusiveArch due to xmmintrin.h usage (#1107042)

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Mar 03 2014 Christopher Meng <rpm@cicku.me> - 1.3.2-3
- Disable sse flags.

* Fri Feb 28 2014 Christopher Meng <rpm@cicku.me> - 1.3.2-2
- Add missing hicolor-icon-theme dependency.
- Fix scriplets.

* Wed Feb 26 2014 Christopher Meng <rpm@cicku.me> - 1.3.2-1
- Initial Package.
